This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1476290 - ipa-server installation using ipa-server-docker image fails when using external certificate
ipa-server installation using ipa-server-docker image fails when using extern...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa-server-docker (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Petr Vobornik
Nikhil Dehadrai
: Extras
Depends On:
Blocks: 1405325
  Show dependency treegraph
 
Reported: 2017-07-28 10:05 EDT by Nikhil Dehadrai
Modified: 2017-08-18 10:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikhil Dehadrai 2017-07-28 10:05:03 EDT
Description of problem:
ipa-server installation using ipa-server-docker image fails when using external certificate

Version-Release number of selected component (if applicable):
ipa-docker image: 4.5.0.8

IPA-VERSION:
ipa-server-4.5.0-21.el7.x86_64

Atomic host version:
-bash-4.2# atomic host status
State: idle
Deployments:
● atomic-host:rhel-atomic-host/7/x86_64/standard
                Version: 7.4.0 (2017-07-28 00:26:01)
                 Commit: 846fb0e18e65bd9a62fc9d952627413c6467c33c2d726449a1d7ad7690bbb93a

How reproducible:
Always

Steps to Reproduce:
1. atomic install --name ipadocker rhel7/ipa-server net-host --hostname=`hostname` --external-ca --setup-dns --ip-address=$addr --forwarder=$fwder -r EXAMPLE.TEST -a Secret123 -p Secret123 --no-ntp -U
2. cp /var/lib/ipadocker/ipa.csr /root/
3. ls /root/ipa.csr 
4. mkdir /var/tmp/testdb ; cd /var/tmp/testdb
5. certutil -N -d . --empty-password
6. echo -e "5\n9\nn\ny\n10\ny\n5\n6\n7\n9\nn\n" | certutil -S -n "IPA ROOTCA certificate" -s "cn=CAcert" -x -t "CT,," -m 1000 -v 120 -d . -z /etc/hostname -2 -1 -5
7. certutil -L -d . -n "IPA ROOTCA certificate" -a > iparootca.crt
8. certutil -C -m 2346 -i /root/ipa.csr -o /root/ipa.crt -c "IPA ROOTCA certificate" -d . -a
9. cp /var/tmp/testdb/iparootca.crt /var/lib/ipadocker/.
10. cp /root/ipa.crt /var/lib/ipadocker/.
11. ls /var/lib/ipadocker/ipa.crt
12. ls /var/lib/ipadocker/iparootca.crt 
13. atomic run --name ipadocker rhel7/ipa-server --external-cert-file=/data/ipa.crt --external-cert-file=/data/iparootca.crt -r EXAMPLE.TEST -a Secret123 -p Secret123 --no-ntp -U


Actual results:
After step13, ipa-server installation fails:

atomic run --name ipadocker rhel7/ipa-server --external-cert-file=/data/ipa.crt --external-cert-file=/data/iparootca.crt -r EXAMPLE.TEST -a Secret123 -p Secret123 --no-ntp -U
docker run -h auto-hv-01-guest03.example.test --net=host --rm --name ipadocker -v /var/lib/ipadocker:/data:Z -v /sys/fs/cgroup:/sys/fs/cgroup:ro --tmpfs /run --tmpfs /tmp -v /dev/urandom:/dev/random:ro rhel7/ipa-server --external-cert-file=/data/ipa.crt --external-cert-file=/data/iparootca.crt -r EXAMPLE.TEST -a Secret123 -p Secret123 --no-ntp -U

This container uses privileged security switches:

INFO: --net=host 
      Processes in this container can listen to ports (and possibly rawip traffic) on the host's network.

For more information on these switches and their security implications, consult the manpage for 'docker run'.

Fri Jul 28 13:50:25 UTC 2017 /usr/sbin/ipa-server-configure-first 
Failed to start Directory Service: Command '/bin/systemctl start dirsrv@EXAMPLE-TEST.service' returned non-zero exit status 1
Skipping version check
Starting Directory Service

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure the KDC to enable PKINIT

Excluded by options:
  * Configure the Network Time Daemon (ntpd)

The domain name has been determined based on the host name.


The IPA Master Server will be configured with:
Hostname:       auto-hv-01-guest03.example.test
IP address(es): 10.x.x.x
Domain name:    example.test
Realm name:     EXAMPLE.TEST

FreeIPA server configuration failed.



Expected results:
IPA server installation should be successful using external certificate.

Note You need to log in before you can comment on or make changes to this bug.